<mamecheat version="1">

  <cheat desc=" "/>
  <cheat desc="Invincibility only works for the following missions"/>
  <cheat desc="1-1, 2-1, 2-3, 3-1, 3-5, 3-7, 4-1, 4-5,"/>
  <cheat desc="5-1, 5-2, 5-4, 6-1, 6-2, 6-4, 6-5."/>
  <cheat desc="Don't set Rapid Fire for the 3D scene when playing the 2D scene."/>
  <cheat desc=" "/>

  <cheat desc="Infinite Life PL1">
    <script state="run">
      <action>maincpu.pb@FF200D=A0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FF200E=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FF0061=78</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - 2D Scene PL1">
    <script state="run">
      <action>maincpu.pb@FFE018=00|(maincpu.pb@FFE018 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - 3D Scene PL1">
    <script state="run">
      <action>maincpu.pb@FFE019=00|(maincpu.pb@FFE019 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Life PL2">
    <script state="run">
      <action>maincpu.pb@FF208D=A0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FF208E=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FF0461=78</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - 2D Scene PL2">
    <script state="run">
      <action>maincpu.pb@FFE098=00|(maincpu.pb@FFE098 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - 3D Scene PL2">
    <script state="run">
      <action>maincpu.pb@FFE099=00|(maincpu.pb@FFE099 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Life PL3">
    <script state="run">
      <action>maincpu.pb@FF210D=A0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@FF210E=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@FF0861=78</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - 2D Scene PL3">
    <script state="run">
      <action>maincpu.pb@FFE118=00|(maincpu.pb@FFE118 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - 3D Scene PL3">
    <script state="run">
      <action>maincpu.pb@FFE119=00|(maincpu.pb@FFE119 BAND ~01)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
